=== banshee/java/Makefile ===
# Copyright (c) 2000-2004
#      The Regents of the University of California.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

OS:=$(shell uname)

#CC = gcc

#ifeq ($(OS), Darwin)
#	jni_dir = /System/Library/Frameworks/JavaVM.framework/Headers 
# TODO --- this is not a platform agnostic way of finding the jni headers
#else 
	jni_dir = $(JAVA_HOME)/include/
#endif

#ifndef RLIB
region_dir = ../libcompat
#else
#region_dir = ../rlib
#endif

engine_dir = ../engine

dyckcfl_dir = ../dyckcfl

all: java jdyckcfl

.PHONY: java jdyckcfl check

java:
	javac `find jbanshee -name \*.java`

conflux: java
	javac `find conflux -name \*.java`

jdyckcfl: java 
	javah -jni jbanshee.dyckcfl.UnsafeDyckCFL
	$(CC) -c -I. -I$(dyckcfl_dir) -I$(engine_dir) -I$(region_dir) -I$(jni_dir) -Ddeletes= \
	-Dtraditional= -Dsameregion= -Dparentptr= -DNONSPEC -Wall \
	jbanshee/dyckcfl/UnsafeDyckCFLImp.c
	$(CC) -dynamiclib -o libjdyckcfl.jnilib $(dyckcfl_dir)/dyckcfl.o UnsafeDyckCFLImp.o $(engine_dir)/libnsengine.a $(region_dir)/libregions.a -framework JavaVM

check: java jdyckcfl
	java jbanshee.dyckcfl.UnsafeDyckCFL

clean:
	rm -f *.o libjdyckcfl.jnilib jbanshee_dyckcfl_UnsafeDyckCFL.h 
	rm -f `find . -name \*.class`
	rm -f `find . -name \*~`
