=== cil/debian/changelog ===
cil (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Luis Cañas Díaz <lcanas@gsyc.es>  Fri, 15 Jan 2008 14:00:52 +0200

cil (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Luis Cañas Díaz <lcanas@gsyc.es>  Tue, 17 Apr 2007 18:30:53 +0200

cil (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Ben Liblit <liblit@cs.wisc.edu>  Sat,  5 Mar 2005 22:08:14 -0600

cinterlang (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Thu, 19 Aug 2004 15:46:39 +0000

cinterlang (1.2.5-1) unstable; urgency=low

  * Initial Release.

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed, 18 Aug 2004 00:40:43 +0200
