=== cil/debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: debian/build-stamp

debian/build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) setup #doc
	touch $@

check:	build
	$(MAKE) check


clean:	config.status
	dh_testdir
	dh_testroot
	rm -f debian/build-stamp 
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.status
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/cil/html
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/cil-dev
	cp LICENSE $(CURDIR)/debian/tmp/usr/share/doc/cil/
	cp LICENSE $(CURDIR)/debian/tmp/usr/share/doc/cil-dev/
	#cp -f doc/*.html $(CURDIR)/debian/tmp/usr/share/doc/cil/html
	#cp -f doc/*.gif $(CURDIR)/debian/tmp/usr/share/doc/cil/html
	#cp -a doc/api $(CURDIR)/debian/tmp/usr/share/doc/cil/html
	#cp -a doc/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/cil
	#cp -a doc/examples $(CURDIR)/debian/tmp/usr/share/doc/cil

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --list-missing --sourcedir=$(CURDIR)/debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
